//
//  ShareActivityItemProvider.swift
//  TSAvatar
//
//  Created by nkl on 2024/11/21.
//

import Foundation
import UIKit

class ShareActivityItemProvider: UIActivityItemProvider {
    // 解决AirDrop分享app失败的问题
    override func activityViewController(_ activityViewController: UIActivityViewController, itemForActivityType activityType: UIActivity.ActivityType?) -> Any? {
        if activityType == .airDrop {
            return nil
        }
        return placeholderItem
    }
}
